// Code generated by protoc-gen-go. DO NOT EDIT.
// source: StreamOneContactsFromManyFiles/model/phoneBookStruct.proto

/*
Package model is a generated protocol buffer package.

It is generated from these files:
	StreamOneContactsFromManyFiles/model/phoneBookStruct.proto

It has these top-level messages:
	Contact
*/
package model

import proto "github.com/golang/protobuf/proto"
import fmt "fmt"
import math "math"

// Reference imports to suppress errors if they are not otherwise used.
var _ = proto.Marshal
var _ = fmt.Errorf
var _ = math.Inf

// This is a compile-time assertion to ensure that this generated file
// is compatible with the proto package it is being compiled against.
// A compilation error at this line likely means your copy of the
// proto package needs to be updated.
const _ = proto.ProtoPackageIsVersion2 // please upgrade the proto package

type Contact struct {
	Number  string           `protobuf:"bytes,1,opt,name=number" json:"number,omitempty"`
	Name    string           `protobuf:"bytes,2,opt,name=name" json:"name,omitempty"`
	Address *Contact_Address `protobuf:"bytes,3,opt,name=address" json:"address,omitempty"`
}

func (m *Contact) Reset()                    { *m = Contact{} }
func (m *Contact) String() string            { return proto.CompactTextString(m) }
func (*Contact) ProtoMessage()               {}
func (*Contact) Descriptor() ([]byte, []int) { return fileDescriptor0, []int{0} }

func (m *Contact) GetNumber() string {
	if m != nil {
		return m.Number
	}
	return ""
}

func (m *Contact) GetName() string {
	if m != nil {
		return m.Name
	}
	return ""
}

func (m *Contact) GetAddress() *Contact_Address {
	if m != nil {
		return m.Address
	}
	return nil
}

type Contact_Address struct {
	Street      string `protobuf:"bytes,1,opt,name=street" json:"street,omitempty"`
	NumberHouse string `protobuf:"bytes,2,opt,name=numberHouse" json:"numberHouse,omitempty"`
	NumberFlat  string `protobuf:"bytes,3,opt,name=numberFlat" json:"numberFlat,omitempty"`
}

func (m *Contact_Address) Reset()                    { *m = Contact_Address{} }
func (m *Contact_Address) String() string            { return proto.CompactTextString(m) }
func (*Contact_Address) ProtoMessage()               {}
func (*Contact_Address) Descriptor() ([]byte, []int) { return fileDescriptor0, []int{0, 0} }

func (m *Contact_Address) GetStreet() string {
	if m != nil {
		return m.Street
	}
	return ""
}

func (m *Contact_Address) GetNumberHouse() string {
	if m != nil {
		return m.NumberHouse
	}
	return ""
}

func (m *Contact_Address) GetNumberFlat() string {
	if m != nil {
		return m.NumberFlat
	}
	return ""
}

func init() {
	proto.RegisterType((*Contact)(nil), "model.Contact")
	proto.RegisterType((*Contact_Address)(nil), "model.Contact.Address")
}

func init() {
	proto.RegisterFile("StreamOneContactsFromManyFiles/model/phoneBookStruct.proto", fileDescriptor0)
}

var fileDescriptor0 = []byte{
	// 207 bytes of a gzipped FileDescriptorProto
	0x1f, 0x8b, 0x08, 0x00, 0x00, 0x00, 0x00, 0x00, 0x02, 0xff, 0x4c, 0x8f, 0xbd, 0x4a, 0xc0, 0x30,
	0x14, 0x85, 0x89, 0x3f, 0x2d, 0xbd, 0xdd, 0x32, 0x94, 0xe2, 0x20, 0xc5, 0xa9, 0x53, 0x2a, 0xba,
	0xb9, 0xa9, 0x50, 0x5c, 0x44, 0x68, 0x9f, 0x20, 0x6d, 0x2f, 0x28, 0x36, 0xb9, 0x25, 0xb9, 0x1d,
	0x7c, 0x47, 0x1f, 0x4a, 0x4c, 0x52, 0xe8, 0x96, 0xf3, 0x9d, 0xe4, 0x7c, 0x04, 0x9e, 0x46, 0x76,
	0xa8, 0xcd, 0x87, 0xc5, 0x57, 0xb2, 0xac, 0x67, 0xf6, 0xbd, 0x23, 0xf3, 0xae, 0xed, 0x4f, 0xff,
	0xb5, 0xa2, 0xef, 0x0c, 0x2d, 0xb8, 0x76, 0xdb, 0x27, 0x59, 0x7c, 0x21, 0xfa, 0x1e, 0xd9, 0xed,
	0x33, 0xab, 0xcd, 0x11, 0x93, 0xbc, 0x0e, 0xe5, 0xdd, 0xaf, 0x80, 0x3c, 0x3d, 0x96, 0x15, 0x64,
	0x76, 0x37, 0x13, 0xba, 0x5a, 0x34, 0xa2, 0x2d, 0x86, 0x94, 0xa4, 0x84, 0x2b, 0xab, 0x0d, 0xd6,
	0x17, 0x81, 0x86, 0xb3, 0xbc, 0x87, 0x5c, 0x2f, 0x8b, 0x43, 0xef, 0xeb, 0xcb, 0x46, 0xb4, 0xe5,
	0x43, 0xa5, 0xc2, 0xa0, 0x4a, 0x63, 0xea, 0x39, 0xb6, 0xc3, 0x71, 0xed, 0x66, 0x86, 0x3c, 0xb1,
	0x7f, 0x91, 0x67, 0x87, 0xc8, 0x87, 0x28, 0x26, 0xd9, 0x40, 0x19, 0x95, 0x6f, 0xb4, 0xfb, 0xc3,
	0x77, 0x46, 0xf2, 0x16, 0x20, 0xc6, 0x7e, 0xd5, 0x1c, 0xcc, 0xc5, 0x70, 0x22, 0x53, 0x16, 0x3e,
	0xf7, 0xf8, 0x17, 0x00, 0x00, 0xff, 0xff, 0x9f, 0xac, 0x00, 0x6d, 0x1a, 0x01, 0x00, 0x00,
}
